Description

Hello,

context-menu on right click on roadmap's or issues's page can be display in wrong place on Firefox browser (no problem on

Chrome).

It's just because the div context-menu is append on content's div

On context-menu.js

document.getElementById("content").appendChild(menu);

 need to be change. For example :

document.getElementById("footer").parentElement.appendChild(menu);

 But it's need to be append to a full page DIV.

Thanks

History

#1 - 2022-02-04 13:12 - Brice Beaumesnil

It's linked to the theme used (we use PurpleMine)

And they add this code :

    // Fix issue with context menu position

    if (this.$main.css('position') === 'relative') {

      $(window).on('load', function () {

        $('#context-menu').appendTo('#wrapper3')

      })

    }

 It's work on Chrome but not on Firefox.

#2 - 2022-02-10 06:36 - Mizuki ISHIKAWA

I have also seen in the past how the context menu was misplaced.

I just opened the roadmap page and the issues page in Firefox to see how it works, and I was able to open them in the context menu without any

problems. Do you know of any other conditions that might reproduce the problem?

Since I don't know the conditions under which the problem occurs, I can't confirm that the code works.

#3 - 2022-02-10 08:34 - Guillermo ML

Could be related to Graphical bug with redmine 4.2.3 ?

We use PurpleMine2 with redmine 4.1.X and couldn't reproduce the error.

#4 - 2022-02-24 13:53 - Brice Beaumesnil

Yes i think it's related to this bug (i'm on redmine 4.2.4)

#5 - 2022-10-02 09:57 - Marius BĂLTEANU
https://github.com/mrliptontea/PurpleMine2/issues/242


- Status changed from New to Closed

- Resolution set to Invalid
